Mailinglist Archive: opensuse-bugs (8048 mails)

< Previous Next >
[Bug 118131] OpenOffice fonts, both UI and document, are unacceptable
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 5 Feb 2007 10:34:10 -0700 (MST)
  • Message-id: <20070205173410.15A96FC2@xxxxxxxxxxxxxxxxxxxxxx>
https://bugzilla.novell.com/show_bug.cgi?id=118131





------- Comment #77 from mfabian@xxxxxxxxxx 2007-02-05 10:34 MST -------
freetype 2.3.1 is in Factory now and also in
http://software.opensuse.org/download/M17N/ for older releases
(may take some time until the build service has everything built).

Hans-Peter Jansen> #4 is a hack to export the internal stream
Hans-Peter Jansen> interface, which still seems to be necessary for
Hans-Peter Jansen> SUSE

>From the freetype2.changes file:

-------------------------------------------------------------------
Wed Mar 24 01:14:22 CET 2004 - mfabian@xxxxxxx

- Add ft2-stream-compat.diff for binary compatibility when
upgrading from SLES8 to SLES9.
The FT_Stream functions have been renamed and although these
functions were declared for internal use only by the freetype
developers, they have been used in Qt (and possibly elsewhere).
Therefore, 3rd party which linked statically against Qt might
not work after upgrading from SLES8 to SLES9.
Fix this problem with a patch by Kurt Garloff <garloff@xxxxxxx>
which defines appropriate weak symbols.

-------------------------------------------------------------------

I.e. the patch in question is only a backwards compatibility hack
for bad applications which stupidly used internal freetype interfaces.
It was still necessary on SLES9. But most likely it isn't necessary
on SuSE Linux >= 10.0 anymore.

As I cannot recommend to use freetype 2.3.1 on SLES9
(many strange things will happen), I think I will remove that
patch soon.


--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.

< Previous Next >